System.Security 2.0.0.0 4.0.0.0 System.Object

The <EncryptionMethod> tag uses a Uniform Resource Identifier (URI) to identify the encryption algorithm that must be used to decrypt XML data. The class encapsulates the <EncryptionMethod> tag defined by the World Wide Web Consortium XML Encryption specification located at http://www.w3.org/TR/xmlenc-core/.

Use the class to identify the encryption algorithm associated with the element or the element.

Use one of the URI identifiers defined by the World Wide Web Consortium XML Encryption specification located at http://www.w3.org/TR/xmlenc-core/. All URI identifiers are accessible as static fields of the class.

Encapsulates the encryption algorithm used for XML encryption.

- Constructor
  2.0.0.0
  4.0.0.0

  This constructor initializes a new instance of the class without specifying the Uniform Resource Identifier (URI) of an encryption algorithm.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  This constructor initializes a new instance of the class using the URI of an encryption algorithm.

  Use one of the URI identifiers defined by the World Wide Web Consortium XML Encryption specification located at http://www.w3.org/TR/xmlenc-core/. All URI identifiers are accessible as static fields of the class.

  Initializes a new instance of the class specifying an algorithm Uniform Resource Identifier (URI).

- Method
  2.0.0.0
  4.0.0.0
  System.Xml.XmlElement

  The method returns a representation of the <EncryptionMethod> element.

  Returns an object that encapsulates an instance of the class.

  An object that encapsulates an instance of the class.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  The property describes the Uniform Resource Identifier (URI) of the encryption algorithm used to encrypt data associated with either the element or the element.

  Use one of the URI identifiers defined by the World Wide Web Consortium XML Encryption specification located at http://www.w3.org/TR/xmlenc-core/. All URI identifiers are accessible as static fields of the class.

  Gets or sets a Uniform Resource Identifier (URI) that describes the algorithm to use for XML encryption.

- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  The property describes the key size of the encryption algorithm used to encrypt data associated with either the element or the element.

  Gets or sets the algorithm key size used for XML encryption.

- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  The method configures the object to match the state of an object.

  Parses the specified object and configures the internal state of the object to match.

  An object to parse.